# boost::numeric::ublas::vector_inner_prod< V1, V2, TV > Struct Template Reference

Inherits boost::numeric::ublas::vector_scalar_binary_functor< V1, V2, TV >.

List of all members.

## Public Types

typedef vector_scalar_binary_functor < V1, V2, TV >::value_type | value_type
typedef vector_scalar_binary_functor < V1, V2, TV >::result_type | result_type

## Static Public Member Functions

template<class C1 , class C2 >
static BOOST_UBLAS_INLINE result_type | apply (const vector_container< C1 > &c1, const vector_container< C2 > &c2)
template<class E1 , class E2 >
static BOOST_UBLAS_INLINE result_type | apply (const vector_expression< E1 > &e1, const vector_expression< E2 > &e2)
template<class D , class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (D size, I1 it1, I2 it2)
template<class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (I1 it1, const I1 &it1_end, I2 it2, const I2 &it2_end)
template<class I1 , class I2 >
static BOOST_UBLAS_INLINE result_type | apply (I1 it1, const I1 &it1_end, I2 it2, const I2 &it2_end, sparse_bidirectional_iterator_tag)

### template<class V1, class V2, class TV>
struct boost::numeric::ublas::vector_inner_prod< V1, V2, TV >